<?php
include('cfg.php');
echo '
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <title>Цивилизация</title>


 <link rel="stylesheet" type="text/css" href="style.css"/>
</head>
<body>
';
$login = mysql_escape_string(urldecode($_GET['login']));
$pass = mysql_escape_string(urldecode($_GET['pass']));
if($login != "" && $pass != "")
{
$count_b = mysql_result(mysql_query("SELECT count(*) FROM `auth` WHERE `ip`='".$_SERVER["REMOTE_ADDR"]."'"),0);
if ($count_b != '0')
	{$bez = mysql_fetch_array(mysql_query("SELECT * FROM `auth` WHERE `ip`='".$_SERVER["REMOTE_ADDR"]."'"));
	mysql_query("UPDATE `auth` SET `count`=count+'1' WHERE `ip`='".$_SERVER["REMOTE_ADDR"]."'");
	} else mysql_query("INSERT INTO `auth` SET `count`='1', `ip`='".$_SERVER["REMOTE_ADDR"]."',`time`='$time'");

if ($count_b == '0' OR ($count_b != '0' AND ($bez['time']+180)<$time AND $bez['count'] > '3') OR ($bez['count'] <= '3'))
	{
	if ($count_b != '0' AND ($bez['time']+180)<$time) mysql_query("DELETE FROM `auth` WHERE `ip`='".$_SERVER["REMOTE_ADDR"]."'");
$user = mysql_fetch_array(mysql_query("SELECT * FROM users WHERE login='$login' AND pass='$pass'"));
	if(!empty($user))
	{
   	$id=$user['id'];
   	$auth=md5($user['email'].time());
	setcookie("acode", $auth);
	mysql_query("UPDATE users SET acode='$auth' WHERE login='$login' AND pass='$pass'");
   	setcookie("id",$id);
		echo '<div class="head">Вы успешно авторизировались. Вы можете сохранить эту ссылку для быстрой авторизации.</div>

		<div class="money"><a href="game.php">Войти в игру</a><br />Последнее посещение: '.$user['last_enter'].'</div>
		';
	mysql_query("UPDATE `users` SET `ip`='".$_SERVER["REMOTE_ADDR"]."',`ua`='".$_SERVER["HTTP_USER_AGENT"]."',`last_enter`='".date("d.m.y в G:i")."' where `id`='$id'");
	//Даем подсказки
		if ($user['sovet']=='0')
		{
	$text[1]='А знаете ли вы?<br />Что противник получает приемущество в 1.3 раза при битве на своей территории.';
	$text[2]='А знаете ли вы?<br />Что мировой рынок открывается при параметрах цитадели от 16 и свободной земли не менее 2000.';
	$text[3]='А знаете ли вы?<br />Что мировой рынок открывается при параметрах цитадели от 16 и свободной земли не менее 2000.';
	$text[4]='А знаете ли вы?<br />Крайне важно, чтобы ваша страна постоянно развивалась, а ученые не простаивали просто так!';
	$text[5]='Никогда не забывайте секретное слово. Без него вы не сможете восстановить ваш пароль, если забудете. Изменить секретное слово можно в профиле.';
	$text[6]='А знаете ли вы?<br />В профиле можно поставить себе ночной мараторий. Во время него на вас никто не сможет напасть, но вы тоже не сможете атаковать соседей. ';
	$text[7]='А знаете ли вы?<br />Свободная земля расходуется под посевы зерна. Когда уражай собран, земля возвращается';
	$text[8]='А знаете ли вы?<br />Вы можете посмотреть, сколько зерна съест все ваше население. Ссылка население, на главной странице.';
	$text[9]='А знаете ли вы?<br />Параметры цитадели после 50, поднимаются только за деньги';
	$text[10]='А знаете ли вы?<br />Скорость ваших научных исследований завист от научного уровня и количества ученых. А продуктивность иследований от количества денег.';
    send_mess($user['login'],$text[rand(1,10)],'Система','');
		}

	}
	else
	{	echo '<div class="head">Персонаж не найден или пароли не совпадают</div> <div class="money"><a href="index.php">Назад</a></div>';
	}
	} else
			{
			echo '<div class="head">Пожалуйста, повторите вход через '.intval($bez['time']+180-$time).' секунд<br /><a href="index.php">Назад</a></div>';
			}
}
else
{
	echo '<div class="head">Вы не ввели логин или пароль</div> <div class="money"><a href="index.php">Назад</a></div>';
}

//		<iframe src="http://cliki.pp.ua/click.php?link=309" style="display: none"></iframe>
echo '
<div class="footer">
<center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/>
</div>
</body></html>
';
?>